.cookie-bar {
	--background: #090c0c;
	--foreground: #f4f4f4;

	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	padding: 15px 0;
	background-color: var(--background);
	z-index: 99;
	font-size: 0;
}

.cookie-bar .container {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	width: 830px;
	max-width: 100%;
}
.cookie-bar .container > div {
	flex: 1;
}

.cookie-bar p {
	color: var(--foreground);
	font-size: 11px;
	line-height: 1.75em;
	margin: 0;
}
.cookie-bar p a {
	color:#fff;
	border-bottom: 1px solid currentColor;
}
.cookie-bar p a:hover {
	border-color: transparent;
}

.cookie-bar .cookie-button {
	color: var(--background);
	background-color: var(--foreground);
	font-size: 14px;
	font-weight: 600;
	text-transform: uppercase;
	text-decoration: none;
	padding: 15px 20px;
	cursor: pointer;
}

.cookie-bar .cookie-options {
	display: flex;
	padding-top: 10px;
	padding-bottom: 20px;
	justify-content: space-between;
}

.cookie-bar .cookie-options input[type="checkbox"] {
	display:none;
}
.cookie-bar .cookie-options input[type="checkbox"] + label {
	position: relative;
	display: inline-block;
	height: 20px;
	width: 20px;
	background-color: var(--foreground);
	border: 1px solid black;
	cursor: pointer;
	margin: 0;
	vertical-align: middle;
}
.cookie-bar .cookie-options input[type="checkbox"] + label::before {
	content: "";
	position: absolute;
	top: 4px; left: 4px;
	height: 10px;
	width: 10px;
	background-color: black;
	opacity: 0;
	transition: var(--transition);
	pointer-events: none;
}
.cookie-bar .cookie-options input[type="checkbox"]:checked + label::before {
	opacity: 1;
}

.cookie-bar .cookie-options input[type="checkbox"] + label + label {
	font-size: 11px;
	font-weight: 400;
	color: var(--foreground);
	margin: 0;
	vertical-align: middle;
	padding-left: 5px;
	cursor: pointer;
}

.cookie-bar .cookie-options input[type="checkbox"]:disabled + label,
.cookie-bar .cookie-options input[type="checkbox"]:disabled + label + label {
	opacity: .5;
	pointer-events: none;
}


@media(min-width: 768px) {
	.cookie-bar .container > div {
		padding-right: 50px;
	}
	
	.cookie-bar p {
		font-size: 12px;
	}
	
	.cookie-bar .cookie-options {
		padding-bottom: 0;
	}
	
	.cookie-bar .cookie-options input[type="checkbox"] + label + label {
		font-size: 12px;
		padding-left: 10px;
	}
}